<template>
  <Modal
    :modalStyle="{ width: '700px' }"
    title="Journalist / Media"
    @close="$emit('close', 'journalist')"
    :visible="visible"
  >
    <div slot="content" class="journalist px-7 py-7">
      <v-row no-gutters>
        <v-col>
          <Checkbox>Blogger</Checkbox>
          <Checkbox>Radio</Checkbox>
        </v-col>
        <v-col>
          <Checkbox>TV Personality</Checkbox>
          <Checkbox>Writer</Checkbox>
        </v-col>
        <v-col>
          <Checkbox>Other:</Checkbox>
          <div class="journalist__desc">Describe</div>
        </v-col>
      </v-row>
    </div>
    <v-btn
      slot="button"
      rounded
      color="error"
      min-width="200"
      @click="$emit('save', 'journalist')"
    >Save</v-btn>
  </Modal>
</template>

<script>
import Modal from '../../shared/Modal/Modal';
import Checkbox from '../../shared/Checkbox/Checkbox';
export default {
  name: 'ProfessionJournalist',
  props: {
    visible: Boolean
  },
  components: {
    Modal,
    Checkbox
  }
};
</script>

<style lang="scss" scoped >
@import './ProfessionJournalist.scss';
</style>